### Constructor

# Clutter TextBuffer new_with_text

#### Declaration [src]

    ClutterTextBuffer*
    clutter_text_buffer_new_with_text (
      const gchar* text,
      gssize text_len
    )

#### Description [src]

Create a new ClutterTextBuffer object with some text.

#### Parameters

`text`

  Type: `const gchar*`

  Initial buffer text.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`text_len`

  Type: `gssize`

  Initial buffer text length, or -1 for null-terminated.

#### Return value

Type: `ClutterTextBuffer`

A new ClutterTextBuffer object.

The caller of the function takes ownership of the data, and is responsible for freeing it.